Skip to main content
`Ctrl`+`K`

# PetscPartitionerGetType

Gets the PetscPartitioner type name (as a string) from the object.

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerGetType(PetscPartitioner part, PetscPartitionerType *name)

Not Collective

## Input Parameter

- part - The PetscPartitioner

## Output Parameter

- name - The PetscPartitioner type name

## See Also

`PetscPartitionerSetType()`, `PetscPartitionerCreate()`

## Level

intermediate

## Location

src/dm/partitioner/interface/partitioner.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages